Interview Reports
Get all completed reports
This endpoint retrieves reports for candidates who have completed their AI interviews. You can filter the reports by Interview ID, Candidate ID or Report ID.
GET
/
interview
/
reports
Get all completed reports
curl --request GET \
--url https://public.api.micro1.ai/interview/reports \
--header 'x-api-key: <api-key>'import requests
url = "https://public.api.micro1.ai/interview/reports"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public.api.micro1.ai/interview/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": [
{
"report_id": "h0gqkAcaDJ",
"session_id": "123e4567-e89b-12d3-a456-426614174000",
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"interview_name": "Full Stack Engineer Interview",
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"job_applicant_id": "123e4567-e89b-12d3-a456-426614174000",
"ats_job_application_id": "123e4567-e89b-12d3-a456-426614174000",
"ats_job_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_name": "John Doe",
"candidate_email_id": "john.doe@micro1.ai",
"report_date": "2024-01-01",
"report_url": "https://micro1.ai/report/h0gqkAcaDJ.pdf",
"interview_recording_url": "https://micro1.ai/interview/h0gqkAcaDJ.m3u8",
"interview_recording_player_url": "https://zara.micro1.ai/ai-interview-videos/abcxyz?id=123e4567-e89b-12d3-a456-426614174000",
"proctoring_score": 85,
"ai_match_score": 85,
"proctoring_violations": [
{
"type": "tab_switch",
"value": "3",
"description": "3 tab switches detected, indicating multitasking or external searches."
}
],
"interview_transcript": [
{
"timestamp": 100,
"role": "interviewer",
"content": "Can you tell me about yourself?"
}
],
"technical_skills_evaluation": [
{
"skill": "React.js",
"ai_evaluation": {
"feedback": "Candidate has demonstrated a solid understanding of optimizing FastAPI performance.",
"rating": "Senior"
},
"timestamp": 100
}
],
"soft_skills_evaluation": [
{
"skill": "Overall",
"ai_evaluation": {
"feedback": "Candidate demonstrated clear and organized thoughts throughout the interview, effectively addressing each question with relevant examples and explanations.",
"rating": "B1",
"sub_score": {
"vocabulary": "<string>",
"grammar": "<string>",
"critical_thinking": "<string>"
}
}
}
],
"coding_skills_evaluation": {
"feedback": "The candidate has demonstrated a good understanding of the problem",
"rating": "Senior"
},
"custom_exercise_evaluation": {
"feedback": "The candidate displayed a strong grasp of the custom exercise requirements and solved the problem effectively.",
"rating": "Senior"
},
"custom_question_evaluation": [
{
"question_text": "Are you willing to relocate?",
"answer_text": "Yes, I am willing to relocate",
"ai_evaluation": {
"feedback": "Candidate is willing to relocate with a 20% chance",
"rating": "Great answer"
}
}
],
"date_created": "2021-01-01 00:00:00",
"date_modified": "2021-01-01 00:00:00",
"status": "active"
}
]
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}Authorizations
API key to access the API
Query Parameters
Page number
Number of items per page
Keyword to search for
ID of the interview
ID of the candidate
⌘I
Get all completed reports
